/*
    This file is part of Fate.

    Copyright (c) 2007 SUSE LINUX Products GmbH
    
    Author: Klaas Freitag <freitag@suse.de>
            André Duffeck <aduffeck@suse.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/




#ifndef DTDVALIDATOR_H
#define DTDVALIDATOR_H

#include <libxml/xmlmemory.h>
#include <libxml/xmlschemas.h>
#include <libxml/parser.h>

#include <qstring.h>
#include <qvaluelist.h>
#include <qfile.h>

#include "xclxmlerror.h"

class DTDValidator
{
  public:
    DTDValidator( const QString& );
    ~DTDValidator();

    bool validateDtd( const QString& );
    void showXmlError( xmlError err );
    XCLXmlErrorList xmlErrors();
    XCLXmlErrorList *errorList();
    void parseDtd();

  private:
    static XCLXmlErrorList mXmlErrorList;

    QFile mDTDFile;

    xmlDtdPtr mDtd;
};

void xclErrorCallback( void *, const char *, ... );
void xclStructuredErrorHandler( void*, xmlErrorPtr );
#endif
