/*
    This file is part of Fate.

    Copyright (c) 2006 SUSE LINUX Products GmbH
    
    Author: Klaas Freitag <freitag@suse.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef FEATURECHECK_H
#define FEATURECHECK_H

#include <qvaluelist.h>
#include <qstring.h>
#include <qmap.h>

#include "xclxmlerror.h"

class QPixmap;

class FeatureCheck
{
  public:
    class List : public QValueList<FeatureCheck>
    {
      public:
        bool failed() const;
        bool warn() const;
    };

    typedef QMap< QString, List > Map;

    enum State { Undefined, Processing, Failed, Warning, Passed };
      
    FeatureCheck();
    FeatureCheck( const QString&, const QString&, const QString& );

    QString field() const;
    void setField( const QString& );
    
    QString name() const;
    void setName( const QString& );
    
    QString description() const;
    void setDescription( const QString& );

    void setPassed( bool );
    void setState( State );
    
    State state() const;
//     QString stateString() const;
//     QPixmap statePixmap() const;
    
    void setXmlErrorList( XCLXmlErrorList list );
    XCLXmlErrorList xmlErrorList() const { return mXmlErrorList; }
    
  private:
    QString mField;
    QString mName;
    QString mDescription;
    State   mState;
    XCLXmlErrorList mXmlErrorList;
};

#endif
