/*
    This file is part of Fate.

    Copyright (c) 2006 SUSE LINUX Products GmbH
    
    Author: Klaas Freitag <freitag@suse.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef XCLXMLERROR_H
#define XCLXMLERROR_H

#include <qstring.h>
#include <qvaluelist.h>


class XCLXmlError
{
  public:
    XCLXmlError( ){};
    XCLXmlError( const QString& );
    QString message() const;
    void setErrorCode( const QString& );
    QString errorCode() const;
    
    void setErrorLine( const QString& );
    QString errorLine() const;
    
    void setErrorColumn( const QString& );
    QString errorColumn() const;
  private:
    QString mErrorMsg;
    QString mErrorCode;
    QString mErrorLine;
    QString mErrorColumn;
};

typedef QValueList<XCLXmlError> XCLXmlErrorList;


#endif
